<!DOCTYPE HTML SYSTEM>
<!-- Generated by Lisaac shorter / html style -->
<html>
<head>
<title>
Lisaac prototype interface
</title>
</head>
<body BGCOLOR="#FFFFFF">

 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
 
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Header</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp +</font></strong> <strong><font color="#0000FF">name</font></strong>    := <strong><font color="#A020F0">Expanded</font></strong> <a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> -> 
  <a href="UINTEGER_64.html"><font color="#008000">UINTEGER_64</font></a>, <a href="UINTEGER_32.html"><font color="#008000">UINTEGER_32</font></a>, <a href="UINTEGER_16.html"><font color="#008000">UINTEGER_16</font></a>, 
  <a href="INTEGER_64.html"><font color="#008000">INTEGER_64</font></a> , <a href="INTEGER_32.html"><font color="#008000">INTEGER_32</font></a> , <a href="INTEGER_16.html"><font color="#008000">INTEGER_16</font></a> ,
  <a href="INTEGER.html"><font color="#008000">INTEGER</font></a>;

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">comment</font></strong> :=<font color="#BC8F8F">"Unsigned 8 bits integer."</font>;

  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">type</font></strong>    := <em><strong><font color="#A4DEA4">`unsigned char`</font></strong></em>;
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">default</font></strong> := (<font color="#A020F0">0</font>.<font color="#0000FF">to_raw_uinteger_8</font>);
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Insert</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">parent_unsigned_integer</font></strong>:<a href="UNSIGNED_INTEGER.html"><font color="#008000">UNSIGNED_INTEGER</font></a> := 
  
<br><br><strong><font color="#A020F0">Section</font></strong> <strong><font color="#A020F0">Public</font></strong>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">object_size</font></strong>:<a href="INTEGER.html"><font color="#008000">INTEGER</font></a> := 

  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Range.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">maximum</font></strong>:<a href="UINTEGER_64.html"><font color="#008000">UINTEGER_64</font></a> := 
  
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
  <br><font FACE="Sans-serif" color="#000000"><B> Conversion with test.</B></font>
  <br><font FACE="Sans-serif" color="#000000"><B></B></font>
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_uinteger_8</font></strong>:<a href="UINTEGER_8.html"><font color="#008000">UINTEGER_8</font></a> <- 
    
  <br><br><strong><font color="#FF0000">&nbsp &nbsp -</font></strong> <strong><font color="#0000FF">to_character</font></strong>:<a href="CHARACTER.html"><font color="#008000">CHARACTER</font></a> <- 
  


</body>
</html>

